package aji;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.events.SelectionListener;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
//import org.eclipse.swt.widgets.Shell;

/*
 * 作成日: 2005/11/04
 *
 * TODO この生成されたファイルのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */

/**
 * @author C218
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
public class ChangeWin {
	/**
	 * @param shell
	 */
	Composite comp;
	public ChangeWin() {
		//change();
	}

	public void change(){
		Singleton instance = Singleton.getInstance(); 
		comp = new Composite(instance.getShell(), SWT.NONE);
		 Button buttonX = new Button(comp, SWT.PUSH);
		 comp.setSize(900,700);
	        buttonX.setBounds(150,50,200,150);
	        Image image = new Image(instance.getDisplay(), "tif.bmp");
	        buttonX.setImage(image);
	        
	        buttonX.addSelectionListener(new SelectionListener(){ 	  	
				public void widgetSelected(SelectionEvent arg0) {
					// TODO 自動生成されたメソッド・スタブ
					visiWin();
					new MainWin().make_Win();
					
				}

				public void widgetDefaultSelected(SelectionEvent arg0) {
					// TODO 自動生成されたメソッド・スタブ
					
				}
	        });

	        comp.setVisible(true);
	}
	public void visiWin(){
		comp.setVisible(false);
	}
}
